Bug 2000590 - Warning on topology context menu right click
Summary: Warning on topology context menu right click
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: yvakil
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-02 13:00 UTC by yvakil
Modified: 2021-10-18 17:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:51:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9975 0 None None None 2021-09-02 13:01:06 UTC
Red Hat Issue Tracker ODC-6105 0 None None None 2021-09-02 13:00:19 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:51:19 UTC

Description yvakil 2021-09-02 13:00:20 UTC
Description of problem:
A warning can be seen when topology context menu is opened.

Prerequisites (if any, like setup, operators/versions):
Steps to Reproduce
Open topology.
Right click on any workload.
Actual results:
See a warning in the console. 

`Warning: Function components cannot be given refs. Attempts to access this ref will fail. Did you mean to use React.forwardRef()?`

Expected results:
No warning should be seen.

Reproducibility (Always/Intermittent/Only Once):
Build Details:
Additional info:

Comment 3 Vikram Raj 2021-09-08 16:00:07 UTC
Verified it on 4.9.0-0.nightly-2021-09-06-055314. And no warning has been shown in the console on accessing the context menu of the workload.

Comment 6 errata-xmlrpc 2021-10-18 17:51:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.